/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    //Start I2C component
    I2C_Slave_Start();
    

    //Initialize I2C component
    I2C_Slave_Enable();
    for(;;)
    {
        //Set up internal pull-up resistors
        I2C_Slave_scl_SetDriveMode(I2C_Slave_scl_DM_RES_UP); 
        I2C_Slave_sda_SetDriveMode(I2C_Slave_sda_DM_RES_UP);
        uint32 slave_stat = I2C_Slave_I2CSlaveStatus();
        if(slave_stat == I2C_Slave_I2C_SSTAT_WR_CMPLT){
           Pin_2_Write(1u); 
        }
        else{
           Pin_2_Write(0u);
        }
    }
}
/* [] END OF FILE */